## org.apache.poi.hssf.record
Class FnGroupCountRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.FnGroupCountRecord

    public final class FnGroupCountRecord

extends StandardRecord

Title: Function Group Count Record

Description: Number of built in function groups in the current version of the Spreadsheet (probably only used on Windoze)

REFERENCE: PG 315 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` `COUNT` suggested default (14 dec)
`static short` `sid`

Constructor Summary
`FnGroupCountRecord()`
`FnGroupCountRecord(RecordInputStream in)`

Method Summary
`short` `getCount()` get the number of built-in functions
`protected int` `getDataSize()`
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setCount(short count)` set the number of built-in functions
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### COUNT

    public static final short COUNT

  suggested default (14 dec)

  See Also:
    Constant Field Values

Constructor Detail

### FnGroupCountRecord

    public FnGroupCountRecord()

### FnGroupCountRecord

    public FnGroupCountRecord(RecordInputStream in)

Method Detail

### setCount

    public void setCount(short count)

  set the number of built-in functions

  Parameters:
    `count` - - number of functions

### getCount

    public short getCount()

  get the number of built-in functions

  Returns:
    number of built-in functions

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.